<section id="connection_header" class="content-header"
  style="padding: 10px;background: white;margin: 15px;box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);">
  <div class="row">
    <div class="col-sm-4">
      <h1 style="margin:0px;font-size:19px">
        Connections
      </h1>
      <small>All available connections</small>
    </div>

    <div class="col-sm-8">

      <button kendoButton class="pull-right" primary="true" (click)="newConnection()" id="connectionBtn">
        <svg class="icon_change_log" shape-rendering="geometricPrecision" width="20" height="20">
          <use xlink:href="./assets/dist/img/icons.svg#icon_plug"></use>
        </svg> &nbsp;
        New Connection</button>
    </div>

  </div>
</section>

<section id="connection_content" class="content" style="min-height:auto;padding-top: 10px">
  <kendo-grid [data]="connectionsGridDataResult" [height]="430" [skip]="state.skip" [filterable]="'menu'"
    [resizable]="true" (pageChange)="pageChangeConnection($event)" [sortable]=" { allowUnsort: true}"
    [pageSize]="state.take" [skip]="state.skip" [sort]="state.sort" [filter]="state.filter" [sortable]="true"
    [pageable]="{info: info, type: type,buttonCount:buttonCount, pageSizes: connectionPageSizes, previousNext: previousNext }"
    [filter]="netNewFilter" [loading]="connectionGridLoading" (filterChange)="filterChange($event)"
    (cellClick)="cellClickHandler($event)" (dataStateChange)="dataStateChange($event)"
    (sortChange)="sortChangeConnection($event)">

    <kendo-grid-column width="40" title="" [filterable]="false" [locked]="true" [reorderable]="false">
      <ng-template kendoGridCellTemplate kendoTooltip let-dataItem>
        <span kendoTooltip position="right">
          <button #anchor (click)="onToggle(dataItem)" class="k-button padding-0"
            style="border: 0px;background: transparent">
            <img src="/assets/dist/img/vertical-dot.png" alt="vertical-dot" width="16px" />
          </button>
          <kendo-popup [anchor]="anchor" (anchorViewportLeave)="dataItem.toggle = false" *ngIf="dataItem.toggle">
            <ul class="nav nav-list">
              <li>
                <a href="javascript:void(0)" (click)="editConnection(dataItem)" class="changelog white">
                  <svg class="icon_change_log" shape-rendering="geometricPrecision" width="20" height="20">
                    <use xlink:href="./assets/dist/img/icons.svg#icon_change_log"></use>
                  </svg> Edit Connection
                </a>
              </li>
              <li>
                <a href="javascript:void(0)" (click)="isAlertModelVisible = true; selectedConnection = dataItem"
                  class="changelog white">
                  <svg class="icon_update" shape-rendering="geometricPrecision" width="15" height="15">
                    <use xlink:href="./assets/dist/img/icons.svg#icon_update"></use>
                  </svg> Remove Connection
                </a>
              </li>
            </ul>
          </kendo-popup>
        </span>
      </ng-template>
    </kendo-grid-column>

    <kendo-grid-column field="type" title="Type" width="70" [filterable]="true" class="kendo-cell" width="70">
      <ng-template kendoGridFilterMenuTemplate let-filter let-column="column" let-filterService="filterService">
        <input kendoTextBox [value]="accountIDQF" (input)="filterChangeConnection($event, filterService, 'name')" />
      </ng-template>>
    </kendo-grid-column>

    <kendo-grid-column field="name" title="Connection Name" class="kendo-cell" width="320">
      <ng-template kendoGridFilterMenuTemplate let-filter let-column="column" let-filterService="filterService">
        <input kendoTextBox [value]="accountIDQF" (input)="filterChangeConnection($event, filterService, 'name')" />
      </ng-template>
    </kendo-grid-column>

    <kendo-grid-column field="aliasName" title="Alias Name" width="200" [filterable]="false">
      <ng-template kendoGridFilterMenuTemplate let-filter let-column="column" let-filterService="filterService">
        <input kendoTextBox [value]="accountIDQF"
          (input)="filterChangeConnection($event, filterService, 'aliasName')" />
      </ng-template>
    </kendo-grid-column>

    <kendo-grid-column field="createdDate" title="Created Date (PST)" width="150" [filterable]="false">
    </kendo-grid-column>

    <kendo-grid-column field="updatedDate" title="Updated Date (PST)" width="150" [filterable]="false">
    </kendo-grid-column>

    <kendo-grid-column field="createdBy" title="Created By" width="120" [filterable]="false">
    </kendo-grid-column>

    <kendo-grid-column field="updatedBy" title="Updated By" width="120" [filterable]="false">
    </kendo-grid-column>
  </kendo-grid>
</section>

<kendo-dialog class="custom_model" [width]="600" [height]="500" *ngIf="isConnectionVisible"
  (close)="isConnectionVisible = !isConnectionVisible" title="Setup Connection">
  <app-add-connection (closeModel)="isConnectionVisible = !isConnectionVisible;this.getAllConnection()">
  </app-add-connection>
</kendo-dialog>


<kendo-dialog class="custom_model" [width]="600" *ngIf="isAlertModelVisible"
  (close)="isAlertModelVisible = !isAlertModelVisible" title="Warning!">
  <span style="color:#ffff;">Information</span>
  <p style="padding: 5px 0px;">Are you sure want to delete this request?</p>
  <button class="btn btn-primary"
    (click)="isAlertModelVisible = !isAlertModelVisible;removeConnection(selectedConnection)">
    Yes
  </button>
  <button class="btn btn-danger" (click)="isAlertModelVisible = !isAlertModelVisible">
    No
  </button>
</kendo-dialog>